Subject: Re: linux-next: add utrace tree

From: Ananth N Mavinakayanahalli <[email-masked]>
Date: Fri, 29 Jan 2010 13:22:40 +0530

On Fri, Jan 29, 2010 at 08:39:07AM +0100, Ingo Molnar wrote:

...

> When we merged kprobes ~10 years ago we made the (rather bad) mistake of 
> merging a raw, opaque facility and leaving 'the rest' up to some other entity. 
> IBM kprobes hackers vanished the day the original kprobes code went upstream 
> and the high level entity never truly materialized in-kernel, for nearly a 
> decade!

I don't know what you are referring to here... Kprobes was merged in
2.6.9 (~August 2004 -- less than 6 years ago). Since then, we did work
on ports to powerpc and s390. We implemented kretprobes. We made it much
scalable using RCU; we did the powerpc booster to skip single-step when
possible, not to mention various bug fixes over the years.

Yes, we did not do the perf integration, but perf did not exist then, either.

Its simply wrong to say people 'vanished'.

Thanks,
Ananth